Mendapatkan properti instans penyedia untuk langganan, grup sumber daya, nama monitor SAP, dan nama sumber daya yang ditentukan.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Workloads/monitors/{monitorName}/providerInstances/{providerInstanceName}?api-version=2023-04-01
Parameter URI
| Nama |
Dalam |
Diperlukan |
Jenis |
Deskripsi |
|
monitorName
|
path |
True
|
string
|
Nama sumber daya monitor SAP.
|
|
providerInstanceName
|
path |
True
|
string
|
Nama instans penyedia.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nama grup sumber daya. Nama ini tidak peka huruf besar/kecil.
|
|
subscriptionId
|
path |
True
|
string
minLength: 1
|
ID langganan target.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Versi API yang akan digunakan untuk operasi ini.
|
Respons
Contoh
Get properties of a Db2 provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* Db2ProviderInstances_Get.json
*/
/**
* Sample code: Get properties of a Db2 provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void getPropertiesOfADb2Provider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python db2_provider_instances_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/Db2ProviderInstances_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/Db2ProviderInstances_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfADb2Provider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.DB2ProviderInstanceProperties{
// ProviderType: to.Ptr("Db2"),
// DbName: to.Ptr("OPA"),
// DbPasswordURI: to.Ptr(""),
// DbPort: to.Ptr("5912"),
// DbUsername: to.Ptr("Db2OPA"),
// Hostname: to.Ptr("vmname.azure.com"),
// SapSid: to.Ptr("SID"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/Db2ProviderInstances_Get.json
*/
async function getPropertiesOfADb2Provider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/Db2ProviderInstances_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "Db2",
"sapSid": "SID",
"hostname": "vmname.azure.com",
"dbUsername": "Db2OPA",
"dbName": "OPA",
"dbPort": "5912",
"dbPasswordUri": "",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename",
"sslPreference": "ServerCertificate"
}
}
}
Get properties of a MsSqlServer provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* MsSqlServerProviderInstance_Get.json
*/
/**
* Sample code: Get properties of a MsSqlServer provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void
getPropertiesOfAMsSqlServerProvider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python ms_sql_server_provider_instance_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/MsSqlServerProviderInstance_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/MsSqlServerProviderInstance_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfAMsSqlServerProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.MsSQLServerProviderInstanceProperties{
// ProviderType: to.Ptr("MsSqlServer"),
// DbPasswordURI: to.Ptr(""),
// DbPort: to.Ptr("5912"),
// DbUsername: to.Ptr("user"),
// Hostname: to.Ptr("hostname"),
// SapSid: to.Ptr("sid"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/MsSqlServerProviderInstance_Get.json
*/
async function getPropertiesOfAMSSqlServerProvider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/MsSqlServerProviderInstance_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "MsSqlServer",
"dbUsername": "user",
"dbPort": "5912",
"hostname": "hostname",
"dbPasswordUri": "",
"sapSid": "sid",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename",
"sslPreference": "ServerCertificate"
}
}
}
Get properties of a OS provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* PrometheusOSProviderInstances_Get.json
*/
/**
* Sample code: Get properties of a OS provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void getPropertiesOfAOSProvider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python prometheus_os_provider_instances_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusOSProviderInstances_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusOSProviderInstances_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfAOsProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.PrometheusOSProviderInstanceProperties{
// ProviderType: to.Ptr("PrometheusOS"),
// PrometheusURL: to.Ptr("http://192.168.0.0:9090/metrics"),
// SapSid: to.Ptr("SID"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusOSProviderInstances_Get.json
*/
async function getPropertiesOfAOSProvider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusOSProviderInstances_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "PrometheusOS",
"prometheusUrl": "http://192.168.0.0:9090/metrics",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename",
"sslPreference": "ServerCertificate",
"sapSid": "SID"
}
}
}
Get properties of a PrometheusHaCluster provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* PrometheusHaClusterProviderInstances_Get.json
*/
/**
* Sample code: Get properties of a PrometheusHaCluster provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void
getPropertiesOfAPrometheusHaClusterProvider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python prometheus_ha_cluster_provider_instances_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusHaClusterProviderInstances_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusHaClusterProviderInstances_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfAPrometheusHaClusterProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.PrometheusHaClusterProviderInstanceProperties{
// ProviderType: to.Ptr("PrometheusHaCluster"),
// ClusterName: to.Ptr("clusterName"),
// Hostname: to.Ptr("hostname"),
// PrometheusURL: to.Ptr("http://192.168.0.0:9090/metrics"),
// Sid: to.Ptr("sid"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusHaClusterProviderInstances_Get.json
*/
async function getPropertiesOfAPrometheusHaClusterProvider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/PrometheusHaClusterProviderInstances_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "PrometheusHaCluster",
"prometheusUrl": "http://192.168.0.0:9090/metrics",
"hostname": "hostname",
"sid": "sid",
"clusterName": "clusterName",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename",
"sslPreference": "ServerCertificate"
}
}
}
Get properties of a SAP monitor Hana provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* ProviderInstances_Get.json
*/
/**
* Sample code: Get properties of a SAP monitor Hana provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void
getPropertiesOfASAPMonitorHanaProvider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python provider_instances_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/ProviderInstances_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/ProviderInstances_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfASapMonitorHanaProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.HanaDbProviderInstanceProperties{
// ProviderType: to.Ptr("SapHana"),
// DbName: to.Ptr("db"),
// DbPasswordURI: to.Ptr(""),
// DbUsername: to.Ptr("user"),
// Hostname: to.Ptr("name"),
// InstanceNumber: to.Ptr("00"),
// SapSid: to.Ptr("SID"),
// SQLPort: to.Ptr("0000"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLHostNameInCertificate: to.Ptr("xyz.domain.com"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/ProviderInstances_Get.json
*/
async function getPropertiesOfASapMonitorHanaProvider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/ProviderInstances_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "SapHana",
"hostname": "name",
"dbName": "db",
"sqlPort": "0000",
"instanceNumber": "00",
"dbUsername": "user",
"dbPasswordUri": "",
"sslHostNameInCertificate": "xyz.domain.com",
"sslPreference": "ServerCertificate",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename",
"sapSid": "SID"
}
}
}
Get properties of a SAP monitor NetWeaver provider
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance?api-version=2023-04-01
/**
* Samples for ProviderInstances Get.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/
* NetWeaverProviderInstances_Get.json
*/
/**
* Sample code: Get properties of a SAP monitor NetWeaver provider.
*
* @param manager Entry point to WorkloadsManager.
*/
public static void
getPropertiesOfASAPMonitorNetWeaverProvider(com.azure.resourcemanager.workloads.WorkloadsManager manager) {
manager.providerInstances().getWithResponse("myResourceGroup", "mySapMonitor", "myProviderInstance",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.workloads import WorkloadsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-workloads
# USAGE
python net_weaver_provider_instances_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = WorkloadsMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.provider_instances.get(
resource_group_name="myResourceGroup",
monitor_name="mySapMonitor",
provider_instance_name="myProviderInstance",
)
print(response)
# x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/NetWeaverProviderInstances_Get.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armworkloads_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/workloads/armworkloads"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/1e7b408f3323e7f5424745718fe62c7a043a2337/specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/NetWeaverProviderInstances_Get.json
func ExampleProviderInstancesClient_Get_getPropertiesOfASapMonitorNetWeaverProvider() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armworkloads.NewClientFactory("<subscription-id>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewProviderInstancesClient().Get(ctx, "myResourceGroup", "mySapMonitor", "myProviderInstance", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.ProviderInstance = armworkloads.ProviderInstance{
// Name: to.Ptr("myProviderInstance"),
// Type: to.Ptr("Microsoft.Workloads/monitors/providerInstances"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance"),
// SystemData: &armworkloads.SystemData{
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// CreatedBy: to.Ptr("user@xyz.com"),
// CreatedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2021-08-19T15:10:46.196Z"); return t}()),
// LastModifiedBy: to.Ptr("user@xyz.com"),
// LastModifiedByType: to.Ptr(armworkloads.CreatedByTypeUser),
// },
// Properties: &armworkloads.ProviderInstanceProperties{
// ProviderSettings: &armworkloads.SapNetWeaverProviderInstanceProperties{
// ProviderType: to.Ptr("SapNetWeaver"),
// SapClientID: to.Ptr("111"),
// SapHostFileEntries: []*string{
// to.Ptr("127.0.0.1 name fqdn")},
// SapHostname: to.Ptr("name"),
// SapInstanceNr: to.Ptr("00"),
// SapPasswordURI: to.Ptr(""),
// SapPortNumber: to.Ptr("1234"),
// SapSid: to.Ptr("SID"),
// SapUsername: to.Ptr("username"),
// SSLCertificateURI: to.Ptr("https://storageaccount.blob.core.windows.net/containername/filename"),
// SSLPreference: to.Ptr(armworkloads.SSLPreferenceServerCertificate),
// },
// ProvisioningState: to.Ptr(armworkloads.WorkloadMonitorProvisioningStateSucceeded),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { WorkloadsClient } = require("@azure/arm-workloads");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
*
* @summary Gets properties of a provider instance for the specified subscription, resource group, SAP monitor name, and resource name.
* x-ms-original-file: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/NetWeaverProviderInstances_Get.json
*/
async function getPropertiesOfASapMonitorNetWeaverProvider() {
const subscriptionId =
process.env["WORKLOADS_SUBSCRIPTION_ID"] || "00000000-0000-0000-0000-000000000000";
const resourceGroupName = process.env["WORKLOADS_RESOURCE_GROUP"] || "myResourceGroup";
const monitorName = "mySapMonitor";
const providerInstanceName = "myProviderInstance";
const credential = new DefaultAzureCredential();
const client = new WorkloadsClient(credential, subscriptionId);
const result = await client.providerInstances.get(
resourceGroupName,
monitorName,
providerInstanceName
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Workloads.Models;
using Azure.ResourceManager.Workloads;
// Generated from example definition: specification/workloads/resource-manager/Microsoft.Workloads/stable/2023-04-01/examples/workloadmonitor/NetWeaverProviderInstances_Get.json
// this example is just showing the usage of "ProviderInstances_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SapMonitorResource created on azure
// for more information of creating SapMonitorResource, please refer to the document of SapMonitorResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "myResourceGroup";
string monitorName = "mySapMonitor";
ResourceIdentifier sapMonitorResourceId = SapMonitorResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, monitorName);
SapMonitorResource sapMonitor = client.GetSapMonitorResource(sapMonitorResourceId);
// get the collection of this SapProviderInstanceResource
SapProviderInstanceCollection collection = sapMonitor.GetSapProviderInstances();
// invoke the operation
string providerInstanceName = "myProviderInstance";
NullableResponse<SapProviderInstanceResource> response = await collection.GetIfExistsAsync(providerInstanceName);
SapProviderInstanceResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SapProviderInstanceData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Workloads/monitors/mySapMonitor/providerInstances/myProviderInstance",
"name": "myProviderInstance",
"type": "Microsoft.Workloads/monitors/providerInstances",
"systemData": {
"createdBy": "user@xyz.com",
"createdByType": "User",
"createdAt": "2021-08-19T15:10:46.196Z",
"lastModifiedBy": "user@xyz.com",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-19T15:10:46.196Z"
},
"properties": {
"provisioningState": "Succeeded",
"providerSettings": {
"providerType": "SapNetWeaver",
"sapSid": "SID",
"sapHostname": "name",
"sapInstanceNr": "00",
"sapHostFileEntries": [
"127.0.0.1 name fqdn"
],
"sapUsername": "username",
"sapPasswordUri": "",
"sapPortNumber": "1234",
"sapClientId": "111",
"sslPreference": "ServerCertificate",
"sslCertificateUri": "https://storageaccount.blob.core.windows.net/containername/filename"
}
}
}
Definisi
createdByType
Enumeration
Jenis identitas yang membuat sumber daya.
| Nilai |
Deskripsi |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DB2ProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia DB2.
| Nama |
Jenis |
Deskripsi |
|
dbName
|
string
|
Mendapatkan atau mengatur nama database db2.
|
|
dbPassword
|
string
|
Mendapatkan atau mengatur kata sandi database db2.
|
|
dbPasswordUri
|
string
|
Mendapatkan atau mengatur URI brankas kunci ke rahasia dengan kata sandi database.
|
|
dbPort
|
string
|
Mendapatkan atau mengatur port sql database db2.
|
|
dbUsername
|
string
|
Mendapatkan atau mengatur nama pengguna database db2.
|
|
hostname
|
string
|
Mendapatkan atau menetapkan nama komputer virtual target.
|
|
providerType
|
string:
Db2
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sapSid
|
string
|
Mendapatkan atau mengatur Pengidentifikasi Sistem SAP
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk Database DB2.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
Error
Objek
Objek kesalahan standar.
| Nama |
Jenis |
Deskripsi |
|
code
|
string
|
Sekumpulan kode kesalahan yang ditentukan server.
|
|
details
|
Error[]
|
Array detail tentang kesalahan tertentu yang menyebabkan kesalahan yang dilaporkan ini.
|
|
innerError
|
InnerError
|
Objek yang berisi informasi yang lebih spesifik daripada objek saat ini tentang kesalahan.
|
|
message
|
string
|
Representasi kesalahan yang dapat dibaca manusia.
|
|
target
|
string
|
Target kesalahan.
|
ErrorAdditionalInfo
Objek
Info tambahan kesalahan manajemen sumber daya.
| Nama |
Jenis |
Deskripsi |
|
info
|
object
|
Info tambahan.
|
|
type
|
string
|
Jenis info tambahan.
|
ErrorDetail
Objek
Detail kesalahan.
| Nama |
Jenis |
Deskripsi |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Info tambahan kesalahan.
|
|
code
|
string
|
Kode kesalahan.
|
|
details
|
ErrorDetail[]
|
Detail kesalahan.
|
|
message
|
string
|
Pesan kesalahan.
|
|
target
|
string
|
Target kesalahan.
|
ErrorResponse
Objek
Tanggapan kesalahan
| Nama |
Jenis |
Deskripsi |
|
error
|
ErrorDetail
|
Objek kesalahan.
|
Errors
Objek
Menentukan kesalahan instans penyedia.
| Nama |
Jenis |
Deskripsi |
|
code
|
string
|
Sekumpulan kode kesalahan yang ditentukan server.
|
|
details
|
Error[]
|
Array detail tentang kesalahan tertentu yang menyebabkan kesalahan yang dilaporkan ini.
|
|
innerError
|
InnerError
|
Objek yang berisi informasi yang lebih spesifik daripada objek saat ini tentang kesalahan.
|
|
message
|
string
|
Representasi kesalahan yang dapat dibaca manusia.
|
|
target
|
string
|
Target kesalahan.
|
HanaDbProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia.
| Nama |
Jenis |
Deskripsi |
|
dbName
|
string
|
Mendapatkan atau mengatur nama database hana.
|
|
dbPassword
|
string
|
Mendapatkan atau mengatur kata sandi database.
|
|
dbPasswordUri
|
string
|
Mendapatkan atau mengatur URI brankas kunci ke rahasia dengan kata sandi database.
|
|
dbUsername
|
string
|
Mendapatkan atau mengatur nama pengguna database.
|
|
hostname
|
string
|
Mendapatkan atau mengatur ukuran komputer virtual target.
|
|
instanceNumber
|
string
|
Mendapatkan atau mengatur nomor instans database.
|
|
providerType
|
string:
SapHana
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sapSid
|
string
|
Mendapatkan atau mengatur Pengidentifikasi Sistem SAP.
|
|
sqlPort
|
string
|
Mendapatkan atau mengatur port sql database.
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk DB.
|
|
sslHostNameInCertificate
|
string
|
Mendapatkan atau mengatur nama host dalam sertifikat SSL.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
InnerError
Objek
Objek yang berisi informasi yang lebih spesifik daripada objek saat ini tentang kesalahan.
| Nama |
Jenis |
Deskripsi |
|
innerError
|
Error
|
Objek kesalahan standar.
|
ManagedServiceIdentityType
Enumeration
Jenis identitas layanan terkelola (hanya Tidak Ada, jenis UserAssigned yang diizinkan).
| Nilai |
Deskripsi |
|
None
|
|
|
UserAssigned
|
|
MsSqlServerProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia server SQL.
| Nama |
Jenis |
Deskripsi |
|
dbPassword
|
string
|
Mendapatkan atau mengatur kata sandi database.
|
|
dbPasswordUri
|
string
|
Mendapatkan atau mengatur URI brankas kunci ke rahasia dengan kata sandi database.
|
|
dbPort
|
string
|
Mendapatkan atau mengatur port sql database.
|
|
dbUsername
|
string
|
Mendapatkan atau mengatur nama pengguna database.
|
|
hostname
|
string
|
Mendapatkan atau mengatur nama host server SQL.
|
|
providerType
|
string:
MsSqlServer
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sapSid
|
string
|
Mendapatkan atau mengatur Pengidentifikasi Sistem SAP
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk SQL Database.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
PrometheusHaClusterProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia PrometheusHaCluster.
| Nama |
Jenis |
Deskripsi |
|
clusterName
|
string
|
Mendapatkan atau mengatur clusterName.
|
|
hostname
|
string
|
Mendapatkan atau menetapkan nama komputer target.
|
|
prometheusUrl
|
string
|
URL titik akhir Pengekspor Simpul.
|
|
providerType
|
string:
PrometheusHaCluster
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sid
|
string
|
Mendapatkan atau mengatur sid kluster.
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk pengekspor kluster HA.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
PrometheusOSProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia PrometheusOS.
| Nama |
Jenis |
Deskripsi |
|
prometheusUrl
|
string
|
URL titik akhir Pengekspor Simpul
|
|
providerType
|
string:
PrometheusOS
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sapSid
|
string
|
Mendapatkan atau mengatur Pengidentifikasi Sistem SAP
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk pengekspor simpul prometheus.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
ProviderInstance
Objek
Instans penyedia yang terkait dengan monitor SAP.
| Nama |
Jenis |
Deskripsi |
|
id
|
string
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
|
|
identity
|
UserAssignedServiceIdentity
|
[saat ini tidak digunakan] Identitas layanan terkelola (identitas yang ditetapkan pengguna)
|
|
name
|
string
|
Nama sumber daya
|
|
properties.errors
|
Errors
|
Menentukan kesalahan instans penyedia.
|
|
properties.providerSettings
|
ProviderSpecificProperties:
|
Menentukan properti khusus penyedia.
|
|
properties.provisioningState
|
WorkloadMonitorProvisioningState
|
Status penyediaan instans penyedia
|
|
systemData
|
systemData
|
Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy.
|
|
type
|
string
|
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts"
|
SapNetWeaverProviderInstanceProperties
Objek
Mendapatkan atau mengatur properti penyedia.
| Nama |
Jenis |
Deskripsi |
|
providerType
|
string:
SapNetWeaver
|
Jenis penyedia. Misalnya, nilainya bisa SapHana.
|
|
sapClientId
|
string
|
Mendapatkan atau mengatur ID Klien SAP.
|
|
sapHostFileEntries
|
string[]
|
Mendapatkan atau mengatur daftar Entri HostFile
|
|
sapHostname
|
string
|
Mendapatkan atau menetapkan Alamat IP/FQDN komputer virtual target.
|
|
sapInstanceNr
|
string
|
Mendapatkan atau mengatur nomor instans SAP NetWeaver.
|
|
sapPassword
|
string
|
Mengatur kata sandi SAP.
|
|
sapPasswordUri
|
string
|
Mendapatkan atau mengatur URI brankas kunci ke rahasia dengan kata sandi SAP.
|
|
sapPortNumber
|
string
|
Mendapatkan atau mengatur nomor port HTTP SAP.
|
|
sapSid
|
string
|
Mendapatkan atau mengatur Pengidentifikasi Sistem SAP
|
|
sapUsername
|
string
|
Mendapatkan atau mengatur nama pengguna SAP.
|
|
sslCertificateUri
|
string
|
Mendapatkan atau mengatur URI blob ke sertifikat SSL untuk sistem SAP.
|
|
sslPreference
|
sslPreference
|
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
|
sslPreference
Enumeration
Mendapatkan atau mengatur preferensi sertifikat jika komunikasi aman diaktifkan.
| Nilai |
Deskripsi |
|
Disabled
|
|
|
RootCertificate
|
|
|
ServerCertificate
|
|
systemData
Objek
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Nama |
Jenis |
Deskripsi |
|
createdAt
|
string
(date-time)
|
Tanda waktu pembuatan sumber daya (UTC).
|
|
createdBy
|
string
|
Identitas yang membuat sumber daya.
|
|
createdByType
|
createdByType
|
Jenis identitas yang membuat sumber daya.
|
|
lastModifiedAt
|
string
(date-time)
|
Tanda waktu modifikasi terakhir sumber daya (UTC)
|
|
lastModifiedBy
|
string
|
Identitas yang terakhir mengubah sumber daya.
|
|
lastModifiedByType
|
createdByType
|
Jenis identitas yang terakhir memodifikasi sumber daya.
|
UserAssignedIdentity
Objek
Properti identitas yang ditetapkan pengguna
| Nama |
Jenis |
Deskripsi |
|
clientId
|
string
(uuid)
|
ID klien dari identitas yang ditetapkan.
|
|
principalId
|
string
(uuid)
|
ID utama identitas yang ditetapkan.
|
UserAssignedServiceIdentity
Objek
Identitas yang ditetapkan pengguna yang telah dibuat sebelumnya dengan peran yang sesuai yang ditetapkan. Untuk mempelajari lebih lanjut tentang identitas dan peran yang diperlukan, kunjungi panduan cara penggunaan ACSS.
WorkloadMonitorProvisioningState
Enumeration
Status penyediaan monitor SAP.
| Nilai |
Deskripsi |
|
Accepted
|
|
|
Creating
|
|
|
Updating
|
|
|
Failed
|
|
|
Succeeded
|
|
|
Deleting
|
|
|
Migrating
|
|